# Governance

The Cosmos Hub ("Gaia") has an on-chain governance mechanism for passing 
[text proposals](./text), 
changing [consensus parameters](./params-change), 
and spending [funds from the community pool](./community-pool-spend).

This repository provides background information on these different kinds of proposals
and best-practices for drafting them and proposing them on-chain. 
It also provides a place for collaborating on draft proposals in plain text on Github.

If you'd like to draft a proposal, start [here](./best_practices.md).
See the contents below for more background on the governance system,
the different types of proposals, and how to submit one.

## Contents

- [Cosmos On-Chain Governance Overview](./overview.md)
- [Best Practices for Drafting a Proposal](./best_practices.md)
- Proposal Types:
    - [Text Proposal](./text)
    - [Parameter Change Proposal](./params-change)
    - [Community Spend Proposal](./community-pool-spend)
- [Submitting a Proposal](./submitting.md)
- [List of Proposals](./proposals)

## Community

Cosmos governance is driven by the Cosmos community, and much of the documentation in
this repo was funded by the community fund itself in 
[Proposal 23](https://www.mintscan.io/cosmos/proposals/23). 
Governance discussions happens in a number of places moderated by diverse
community members, including:

- [Forum](http://forum.cosmos.network/)
- [Discord](https://discord.gg/W8trcGV)
- [Reddit](http://reddit.com/r/cosmosnetwork)
- [Telegram (Governance Working Group)](https://t.me/hubgov)
- anywhere else you might interact with members of the Cosmos community!
