## Elements of a Parameter-Change Proposal

It will be important to balance two things: being detailed and being concise. You'll want to be concise so that people can assess your proposal quickly. You'll want to be detailed so that voters will have a clear, meaningful understanding of what the changes are and how they are likely to be impacted. These are some elements that the Cosmos Hub community may be likely to be looking for:

1. Summary - the key details of the proposal: parameter(s) being changed; reasoning for the changes; potential impacts to stakeholders
   - assume that most people will not read beyond this section
   - try to describe what you are proposing here as simply and concisely as possible
2. Problem/Value - generally the problem or value that's motivating the parameter change(s)
3. Solution - generally how changing the parameter(s) will address the problem or improve the network
   - the beneficiaries of the change(s) (ie. who will these changes impact and how?)
      - voters should understand the importance of the change(s) in a simple way
4. Risks & Benefits - clearly describe how making this/these change(s) may expose stakeholders to new benefits and/or risks
5. Supplementary materials - optional materials eg. models, graphs, tables, research, signed petition, etc





