# Proposal 46: Extend Luna Mission to Fund ATOM Marketing
 
The Cosmos community approved Proposal 34 on 2021-01-20 allocating 129,208 ATOM to implement a comprehensive ATOM marketing plan executed in collaboration with key community stakeholders. Proposal 46 is requesting an extension of the time allowed to spend the approved budget and allocate existing funds for additional ATOM-focused priorities. Below are details of this request and an outline of the successful results of Proposal 34 marketing spend as of 2021-03-31.
 
## PROPOSAL 46 REQUEST:

1. _*Prop 34 Time Extension:*_ The Prop 34 Implementation team seeks a three-month extension (until 2021-07-20) to fully spend the existing budget allocation under the terms approved in Proposal 34. The multisig team and AiB (Tendermint) invested significant time and energy properly researching, vetting and managing vendors, contractors, and opportunities requiring additional time to complete the Prop 34 expenditure of funds.  With the approval of Proposal 46, any unspent funds remaining from Proposal 34 efforts will be returned to the community pool on 2021-07-20.
1. _*Additional Budget Priority - Project Execution Fund Pool:*_ Execution, oversight, and accountability for this significant marketing spend requires substantive operational support. In addition to the 5 multisig administrators, Zaki Manian, Jack Zampolin, Immasssi, Jhonnie and Joe Dirtay, extensive support is being provided by Adriana Mihai (Kalpatech), Garrette Furo (Regen Network), David Fortson (Regen Network/LOACOM), and others.  We request an allocation of 3000 ATOM (from the existing budget) to compensate the aforementioned contributors for previous and ongoing support of this expansive marketing campaign. Funds will be distributed through the multisig administration. 
1. _*Additional Budget Priority - Gravity DEX:*_ This proposal seeks to allocate 10,000 - 20,000 ATOM (from approved Prop 34 budget) to identify and support robust marketing of the Gravity DEX testnet and DEX mainnet launch- an AMM exchange that will have a significant impact on ATOM valuation if successful. Gravity DEX is initially planned as an automated market maker (AMM) exchange that will allow users to trade IBC token pairs and provide liquidity for traders. These tokens would arrive on the Hub through IBC-enabled chains, IBC-wrapped ETH and ERC20 tokens, IBC-wrapped BTC tokens, and as well as future blockchain ecosystems that implement the IBC protocol.
1. _*Community Created YouTube Videos:*_ After evaluating the existing meme campaign, the project management team is recommending ceasing the community meme campaign and reallocating remaining funds for community-created YouTube videos. This campaign would reward community members for creating select videos for prospective or new token holders focused on ‘How to’ and explainer videos on topics such as “How to set up your wallet,” “How to stake your $ATOM,” “How to delegate, redelegate and participate in governance,” and more.   

## SECTION I OVERVIEW

A summary report of current marketing activities and related analytics can be found here.  Highlights include (Date Range 2021-01-20 to 2021-03-31):

* ATOM Valuation: ATOM valuation has increased from $8.92 to $19.10 - a 214% increase.
* Twitter: New 2020 and 2021 record on new followers and engagement:
    - *New followers:* Q1 Twitter: 45,380 new followers ( 2,236 in Q1 2020, 1940% increase)
    - *Engagement:* 10.3M impressions ( 2,16M in Q1 2020, 476% increase)
* Youtube
    - *New subscribers:* 1,3k new subscribers (195 in Q1 2020, 667% increase)
    - *Impressions and views:* 447k impressions ( 126k in Q1 2020, 355% increase) , 47,4k views ( 10,1k views  Q1 2020, 469% increase)
* Cosmos website
    - +396% new users, +355% sessions
    - +380% unique page views, +64% pages per session, -28% bounce rate
    - 1,079,000 visitors, 244,000 new users from which 28,804 acquired new users from the marketing campaign.
* Cosmos Hub
    * 31,408 new delegators (increase from 41,885 to 73,293 - a 74% increase.)
    * 92,561 new ATOM accounts (increase from 136,219 accounts to 228,780 accounts - a 68% increase.)
* Blockfolio Signal
    * 270,000 new followers, increase from 220,000 to 490,000 as of March 31st. ( As of April 21st, total number of followers reached 1,3 Million followers)

### Spend Overview

As of 2021-03-31, a total of 41,912 ATOM have been spent in the following ways:
- Meme Contest: 0 ATOM
- Banner ads - 8,750 ATOM
- Influencers: twitter posts and youtube shows - 25,462 ATOM 
- Podcasts, newsletters- 6,200 ATOM
- Media/TV: 1,000 ATOM
- Signers fee: 500 ATOM

Additionally as of 2021-04-21, a total of 22,610 ATOM have been spent for:
- Meme contest: 240 ATOM 
- PR company: 990 ATOM
- Twitter influencers: 9,550 ATOM
- Community management: 150 ATOM
- Banner ads: 11,680 ATOM

#### Total ATOM spent as of 2021-04-21 is of 64,522 ATOM, remaining budget is of 64,655 ATOM.

## SECTION II - HISTORY 

The Cosmos Hub (ATOM) community approved the passage of Proposal 34 - Luna Mission - Funding $ATOM on 2021-01-20 at 74% yes, 18.9% abstain and 7.1% no.

Proposal 34 authorized a spending pool of 129,208 ATOM to implement a comprehensive ATOM marketing plan executed in collaboration with AiB (Tendermint). The funds deriving from Prop 34  have been approved by @johnniecosmos, @JoeDirtay, @jackzampolin (Jack Zampolin, Pylon Validator), @immasssi (SG-1 Validator), @zakimanian (Zaki Manian, Iqlusion Validator), as the designated multisig committee. Current funding allocation is due to expire and be returned to the community pool if Proposal 46 does not pass.

## SECTION III - DELIVERABLES

Proposal 34 - Results Summary - 2021-01-20 to 2021-03-31

1. Banner Ads
    - Locations: 
        * Wallets: Blockfolio, Coinstats 
        * Platforms: Coingecko, Stacking Rewards
    - Sample Banner: https://drive.google.com/drive/folders/1JFpJewRGsQfrK57BxEdE0Pk3ae37ldpL 
    - Duration of the campaign ads: 1-3 months
    - Total performance on all 4 venues: (#37,000,000 impressions, #28,804 new acquired visitors, over  #100,000 new wallets downloads with ATOM as preset currency)
    - Total Spent: *8,750 ATOMs*
1. Marketing contracts 
    * Podcasts: 
        - Charlie Shrem
            * Twitter account: https://twitter.com/CharlieShrem
            * Followers: 199k
            * https://twitter.com/CharlieShrem/status/1376550892321730563?s=20
            * Performance: 268K Twitter Impressions, 6265 Podcast Downloads, & 7600 youtube views.
        - Scott Melker
            * Twitter Account: https://twitter.com/scottmelker
            * Followers: 290K
            * https://www.youtube.com/watch?v=MdIb6xImS5Q
    * Newsletters/Articles:
        - Scott Melker: https://thewolfofallstreets.link/cosmos​ 
        - The Daily Chain
            * https://thedailychain.com/the-stargate-upgrade-launch-is-coming-on-cosmos-hub/
            * https://thedailychain.com/cosmos-hub-governance-passes-new-proposals-to-improve-the-project/ 
            * https://thedailychain.com/solving-blockchain-interoperability-with-the-cosmos-hub/ 
        - Blockworks 
            * Tweet https://twitter.com/Blockworks_/status/1381969023584272395?s=20
            * Article https://blockworks.co/cosmos-why-we-need-interoperability-in-blockchain/
            * 250,255 Dedicated Twitter Impressions, 10,653 Newsletter Impressions, 1,147 pageviews
        - Total Spent: *6,200 ATOM*
1. Influencers
    * Twitter
        - Over 30 Twitter influencers engaged including Crypto Dog, Michaël van de Poppe and the Wolf of all Streets.
        - Sample Posts:
            * [Crypto Dog](https://twitter.com/thecryptodog/status/1376640286428864514?s=21  )
            * [Michaël van de Poppe](https://twitter.com/CryptoMichNL/status/1381264254033133569?s=20)
            * [Scott Melker ](https://twitter.com/scottmelker/status/1383155303525576706?s=20)
            * [StackingUSD](https://twitter.com/stackingusd/status/1362133942435012608?s=28)
            * [MacroCRG](https://twitter.com/macrocrg/status/1364606751878881288?s=28)
            * [Trader_XO](https://twitter.com/trader_xo/status/1369038610415161347?s=28 )
            * [Crypto_Chasr](https://twitter.com/crypto_chase/status/1381696722557136899?s=28 )
        - Results: from the 1st-month Twitter only (second-month data was not complete in time)
            * 245 tweets, 20,000 Likes, 4,000 Retweets, 1700 Comments
    * YouTube Shows & Podcasts
        - Programs: Crypto Daily, Data Dash, Tech Con Catalina,Crypto Busy, Hashoshi, Crypto Michael.
        - Featured Shows: 
            * [Crypto Daily](https://www.youtube.com/watch?v=g55JAdwVs2Q&t=254s&ab_channel=CryptoDaily)
                * Subscribers: 193K
                * Video views: 52,834
                * Publish date: March 1st
            * [Data Dash](https://www.youtube.com/watch?v=vaZLBgi5o-w)
                * Subscribers: 423K
                * Video views: 40,150
                * Publish date: Feb 17th
            * [Tech Con Catalina](https://www.youtube.com/watch?v=H5kHoFXjMyM)  
                * YouTube Followers - 115K Subscribers
                * Video views: 42,415
                * Publish date: April 12th
            * [Crypto Busy](https://www.youtube.com/watch?v=G2zHiIw_DZM) 
                * YouTube Followers - 152K Subscribers
                * Video views: 24,468
                * Publish date: March 3rd
            * [Hashoshi](https://www.youtube.com/watch?v=jVjcCjfGOxU) 
                * YouTube Followers - 116K Subscribers
                * Video views: 6,218 views
                * Publish date: April 20th
            * [Crypto Michael](https://www.youtube.com/watch?v=xTUCsRs89no)
                * YouTube Followers - 67K Subscribers
                * Video views: 4,499 views
                * Publish date: April 14th
            * Delphi Digital podcasts & Brand Sponsor
                * Podcast ads are just starting, clubhouse (later aired as podcast) w/ key cosmonauts soon 
    * Total Spent on Influencers (Twitter &YouTube): *25,462 ATOMS*

And many more videos to be dropping soon Cosmonauts!


## SECTION IV - Public Relations

Hired GFCA - work begins 2021-04-07, placements were done in April 2021:
* [Peng Zhong featured in Business Insider](https://www.businessinsider.com/crypto-investing-experts-bitcoin-price-drop-explainer-charts-data-watch-2021-4)
    - Notes: world's favorite business brand — by a wide margin. With over 70 million unique visitors a month.
* [Garrette Furo featured in Finance Magnates](https://www.financemagnates.com/cryptocurrency/news/are-nfts-a-good-long-term-investment-on-ownership-long-term-viability/)
    - Notes: global business news outlet that focuses on alternatives and trading industries with 553,507 unique monthly visitors.
Spend: *990 ATOM*


## SECTION V - MEME Competition 2021

Start 22nd of March (3 Total stages)
Spend total: *3915 ATOM* (Split up for each stage)
Stage 1 accepted entries for prizes (so far): 170+
    - Total valid entries: 2000+
    - Cosmonaut Telegram channel growth: 700+ new people in 2 weeks (organic)
    - Cosmonaut Twitter channel growth: 400+ new people in 2 weeks (organic)
[MEME Live tracker](https://docs.google.com/spreadsheets/d/1w8ry3-SxIRuEjMT1PoES8H19CsRT1aSjiKvVJEjFp_k/edit#gid=0)
[Competition outline](https://twitter.com/ATOMCosmonauts/status/1373952259013349376?s=20)
